
From: Adrian Bunk <bunk@stusta.de>

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/media/video/bttv-driver.c |    6 +++---
 25-akpm/drivers/media/video/bttvp.h       |    3 ---
 2 files changed, 3 insertions(+), 6 deletions(-)

diff -puN drivers/media/video/bttv-driver.c~bttv-driverc-make-some-variables-static drivers/media/video/bttv-driver.c
--- 25/drivers/media/video/bttv-driver.c~bttv-driverc-make-some-variables-static	Thu Dec 16 15:43:14 2004
+++ 25-akpm/drivers/media/video/bttv-driver.c	Thu Dec 16 15:43:14 2004
@@ -313,12 +313,12 @@ const struct bttv_tvnorm bttv_tvnorms[] 
 		.sram           = -1,
 	}
 };
-const unsigned int BTTV_TVNORMS = ARRAY_SIZE(bttv_tvnorms);
+static const unsigned int BTTV_TVNORMS = ARRAY_SIZE(bttv_tvnorms);
 
 /* ----------------------------------------------------------------------- */
 /* bttv format list
    packed pixel formats must come first */
-const struct bttv_format bttv_formats[] = {
+static const struct bttv_format bttv_formats[] = {
 	{
 		.name     = "8 bpp, gray",
 		.palette  = VIDEO_PALETTE_GREY,
@@ -470,7 +470,7 @@ const struct bttv_format bttv_formats[] 
 		.flags    = FORMAT_FLAGS_RAW,
 	}
 };
-const unsigned int BTTV_FORMATS = ARRAY_SIZE(bttv_formats);
+static const unsigned int BTTV_FORMATS = ARRAY_SIZE(bttv_formats);
 
 /* ----------------------------------------------------------------------- */
 
diff -puN drivers/media/video/bttvp.h~bttv-driverc-make-some-variables-static drivers/media/video/bttvp.h
--- 25/drivers/media/video/bttvp.h~bttv-driverc-make-some-variables-static	Thu Dec 16 15:43:14 2004
+++ 25-akpm/drivers/media/video/bttvp.h	Thu Dec 16 15:43:14 2004
@@ -89,7 +89,6 @@ struct bttv_tvnorm {
 	int   sram;
 };
 extern const struct bttv_tvnorm bttv_tvnorms[];
-extern const unsigned int BTTV_TVNORMS;
 
 struct bttv_format {
 	char *name;
@@ -101,8 +100,6 @@ struct bttv_format {
 	int  flags;
 	int  hshift,vshift;   /* for planar modes   */
 };
-extern const struct bttv_format bttv_formats[];
-extern const unsigned int BTTV_FORMATS;
 
 /* ---------------------------------------------------------- */
 
_
